This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458201 - in kernel devel kernel sources asm is not symbolic linked to asm-x86
in kernel devel kernel sources asm is not symbolic linked to asm-x86
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 18:39 EDT by Hasan Ceylan
Modified: 2009-02-19 18:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 18:32:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hasan Ceylan 2008-08-06 18:39:21 EDT
Description of problem:
in kernel devel kernel sources asm is not symbolic linked to asm-x86

Version-Release number of selected component (if applicable):
2.6.27-0.226.rc1.git5.fc10.x86_64

How reproducible:
every time, try to build sth with dkms

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2008-08-06 19:16:19 EDT
should be fixed in tomorrows build.
Comment 2 Shawn Starr 2008-08-07 19:26:30 EDT
This doesn't seem to be fixed:

/usr/src/kernels/2.6.27-0.238.rc2.fc10.i686/include

Is still missing a symlink from asm-x86 -> asm

If I add it manually, things work.
Comment 3 Hasan Ceylan 2008-08-08 08:39:58 EDT
Yes and:

Actually my original bug report missed that the asm platform includes were not included and therefore no symbolic link was in place

Now I have the x86 asm-x86 directory, but I still manually had to link it.

Hasan Ceylan
Comment 4 Dave Jones 2008-08-21 12:42:38 EDT
Fixed (for real this time) in CVS.  Will go out as soon as fedora infrastructure is back up and running
Comment 5 Bug Zapper 2008-11-25 21:41:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.